#
# spec file for package python-ftputil
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-ftputil
Version:        3.4
Release:        3.20
Summary:        High-level FTP client library (virtual file system and more) for Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://ftputil.sschwarzer.net/
Source:         https://files.pythonhosted.org/packages/source/f/ftputil/ftputil-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
BuildArch:      noarch

%python_subpackages

%description
FTPutil is a high-level FTP client library for the Python programming
language. ftputil implements a virtual file system for accessing FTP
servers, that is, it can generate file-like objects for remote files.
The library supports many functions similar to those in the os,
os.path and shutil modules. ftputil has convenience functions for
conditional uploads and downloads, and handles FTP clients and
servers in different timezones.

%prep
%setup -q -n ftputil-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
mkdir -p %{buildroot}%{_docdir}
%python_expand cp -r %{buildroot}%{_prefix}/doc/ftputil %{buildroot}%{_docdir}/%{$python_prefix}-ftputil
rm -rf %{buildroot}%{_prefix}/doc/ftputil

%files %{python_files}
%{_docdir}/%{python_prefix}-ftputil
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sun Jul 29 2018 jengelh@inai.de
- Update summary.
* Wed May 16 2018 toddrme2178@gmail.com
- Update to 3.4
  * Added support for Python 3
  * Dropped support for Python 2.4 and 2.5
  * Newlines and encoding of remote file content
  * Upload and download modes
  * Custom parsers receive lines as unicode strings
- Implement single-spec version
* Fri Sep 23 2011 saschpe@suse.de
- Initial version
